public class complex3
{ public double real;
  public double imaginary;
  
  public complex3(double g,double s)
  {real=g;
   imaginary=s;
  }
  

  public complex3(complex3 s1)
  {real=s1.real;
   imaginary=s1.imaginary;
  }
  
  public void add(complex3 s1)
  {real+=s1.real;
   imaginary+=s1.imaginary;
  }
  
  public  static complex3 add(complex3 s1,complex3 s2)
  {complex3 z3=new complex3((s1.real+s2.real),(s1.imaginary+s2.imaginary));
   return z3;
  }
   
  public String toString()
  { String s=+real+" + i*"+imaginary+" \n";
    return s;
  }
    
}